com.thinkaurelius.titan.graphdb.types.indextype

## Class MixedIndexTypeWrapper

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.types.indextype.IndexTypeWrapper
  - - com.thinkaurelius.titan.graphdb.types.indextype.MixedIndexTypeWrapper

- All Implemented Interfaces:
    IndexType, MixedIndexType

      public class MixedIndexTypeWrapper
      extends IndexTypeWrapper
      implements MixedIndexType

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME_PREFIX`

    - ### Fields inherited from class com.thinkaurelius.titan.graphdb.types.indextype.IndexTypeWrapper

      `base`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MixedIndexTypeWrapper(SchemaSource base)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterIndexField` | `getField(PropertyKey key)`
    `ParameterIndexField[]` | `getFieldKeys()`
    `String` | `getStoreName()`
    `boolean` | `isCompositeIndex()`
    `boolean` | `isMixedIndex()`
    `void` | `resetCache()` Resets the internal caches used to speed up lookups on this index.

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.indextype.IndexTypeWrapper

      `equals, getBackingIndexName, getElement, getName, getSchemaBase, getSchemaTypeConstraint, hashCode, hasSchemaTypeConstraint, indexesKey, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.types.IndexType

      `getBackingIndexName, getElement, getName, getSchemaTypeConstraint, hasSchemaTypeConstraint, indexesKey`

- - ### Field Detail

    - #### NAME_PREFIX

          public static final String NAME_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MixedIndexTypeWrapper

          public MixedIndexTypeWrapper(SchemaSource base)

  - ### Method Detail

    - #### isCompositeIndex

          public boolean isCompositeIndex()

      Specified by:
        `isCompositeIndex` in interface `IndexType`

    - #### isMixedIndex

          public boolean isMixedIndex()

      Specified by:
        `isMixedIndex` in interface `IndexType`

    - #### getFieldKeys

          public ParameterIndexField[] getFieldKeys()

      Specified by:
        `getFieldKeys` in interface `IndexType`
      Specified by:
        `getFieldKeys` in interface `MixedIndexType`

    - #### getField

          public ParameterIndexField getField(PropertyKey key)

      Specified by:
        `getField` in interface `IndexType`
      Specified by:
        `getField` in interface `MixedIndexType`
      Overrides:
        `getField` in class `IndexTypeWrapper`

    - #### resetCache

          public void resetCache()

      Description copied from interface: `IndexType`
      Resets the internal caches used to speed up lookups on this index. This is needed when the index gets modified in `ManagementSystem`.
      Specified by:
        `resetCache` in interface `IndexType`
      Overrides:
        `resetCache` in class `IndexTypeWrapper`

    - #### getStoreName

          public String getStoreName()

      Specified by:
        `getStoreName` in interface `MixedIndexType`

Copyright © 2012–2014. All rights reserved.